%{?nodejs_find_provides_and_requires}

%global packagename tty-browserify

Name: nodejs-%{packagename}
Version: 0.0.0
Release: 1%{?dist}.3
Summary: The tty module from node core for browsers
License: MIT
URL: https://github.com/substack/tty-browserify
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging

%description
The tty module from node core for browsers.


%prep
%setup -q -n package
%nodejs_fixdep tape '>=1.0.4'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.markdown
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 0.0.0-1
- Initial package.
